.app-sidebar__overlay(data-toggle="sidebar")
aside.app-sidebar

	ul.app-menu
		li
			a.app-menu__item(href='/' class={'active': activePage == 'dashboard'})
				i.app-menu__icon.fas.fa-tachometer-alt
				span.app-menu__label Dashboard

		li.treeview(class={'is-expanded': activeGroup == 'courses'})
			a.app-menu__item(href='#', data-toggle='treeview')
				i.app-menu__icon.fas.fa-chalkboard-teacher
				span.app-menu__label Courses
				i.treeview-indicator.fa.fa-angle-right
			ul.treeview-menu
				li
					a.treeview-item(href='/course/list' class={'active': activePage == 'ListCourses'})
						i.icon.fas.fa-circle-notch
						|  List Courses
				if (hasPermission('addcourse'))
					li
						a.treeview-item(href='/course/add', class={'active': activePage == 'CreateNewCourse'})
							i.icon.fas.fa-circle-notch
							|  Create New Course
		if (hasPermission("managequestions"))
			li.treeview(class={'is-expanded': activeGroup == 'questions'})
				a.app-menu__item(href='#' data-toggle='treeview')
					i.app-menu__icon.fas.fa-book-open
					span.app-menu__label Question Bank
					i.treeview-indicator.fa.fa-angle-right
				ul.treeview-menu
					li
						a.treeview-item(href='/questions/add' class={'active': activePage == 'CreateQuestionBank'})
							i.icon.fas.fa-circle-notch
							|  Create Question Bank
					li
						a.treeview-item(href='/questions/list' class={'active': activePage == 'ManageQuestionBanks'})
							i.icon.fas.fa-circle-notch
							|  Manage Question Banks

		if (hasPermission("viewquizreport"))
			li.treeview(class={'is-expanded': activeGroup == 'results'})
				a.app-menu__item(href='#' data-toggle='treeview')
					i.app-menu__icon.fas.fa-tasks
					span.app-menu__label Results
					i.treeview-indicator.fa.fa-angle-right
				ul.treeview-menu
					li
						a.treeview-item(href='/reports/history' class={'active': activePage == 'ViewPastQuizReports'})
							i.icon.fas.fa-circle-notch
							|  View Past Quiz Reports
					li
						a.treeview-item(href='/reports/list' class={'active': activePage == 'ViewManagedQuizReports'})
							i.icon.fas.fa-circle-notch
							|  View Managed Quiz Reports
		else if (hasPermission("viewreport"))
			li
				a.app-menu__item(href='/reports/history' class={'active': activePage == 'ViewReport'})
					i.app-menu__icon.fas.fa-tasks
					span.app-menu__label Results

		if (hasPermission("viewadmin"))
			li.treeview(class={'is-expanded': activeGroup == 'admin'})
				a.app-menu__item(href='#' data-toggle='treeview')
					i.app-menu__icon.fas.fa-users-cog
					span.app-menu__label Admin
					i.treeview-indicator.fa.fa-angle-right
				ul.treeview-menu
					li
						a.treeview-item(href='/users/list' class={'active': activePage == 'ListUsers'})
							i.icon.fas.fa-circle-notch
							|  List Users
					if (hasPermission("adduser"))
						li
							a.treeview-item(href='/users/adduser')
								i.icon.fas.fa-circle-notch
								|  Add New User
						li
							a.treeview-item(href='/users/import')
								i.icon.fas.fa-circle-notch
								|  Add Bulk Users
					if (hasPermission("manageallquiz"))
						li
							a.treeview-item(href='/course/list?admin=true' class={'active': activePage == 'ManageCourses'})
								i.icon.fas.fa-circle-notch
								|  Manage Courses
					if (hasPermission("manageallquestions"))
						li
							a.treeview-item(href='/questions/list?admin=true' class={'active': activePage == 'ManageAllQuestionBanks'})
								i.icon.fas.fa-circle-notch
								|  Manage All Question Banks
					if (hasPermission("viewallreport"))
						li
							a.treeview-item(href='/reports/list?admin=true' class={'active': activePage == 'ManageAllQuizReports'})
								i.icon.fas.fa-circle-notch
								|  Manage All Quiz Reports
		if (hasPermission("viewfeedbacks"))
			li
				a.app-menu__item(href='/survey/listfbcourses' class={'active': activePage == 'listfeedbacks'})
					i.app-menu__icon.far.fa-star
					span.app-menu__label Survey